import { CarListingCard } from "@/components/modules/Car/Car-listing-card";
import { Banner } from "@/components/modules/Banner";
import { Main } from "@/components/modules/Main";
// import { AuctionData } from '@/components/modules/AuctionData';

async function getData(searchParams, params) {
  const query = new URLSearchParams(searchParams).toString();
  const res = await fetch(`${process.env.NEXT_PUBLIC_BASE_URL}/car?${query}`, {
    cache: "force-cache",
  });
  // The return value is *not* serialized
  // You can return Date, Map, Set, etc.

  if (!res.ok) {
    // This will activate the closest `error.js` Error Boundary
    throw new Error("Failed to fetch data");
  }

  return res.json();
}

export default async function page({ params, searchParams }) {
  const initialData = await getData(searchParams, params);
  return (
    <>
      <Banner title="Car For Sale" catagory="Toyota" subcatagory="Fortuner" />
      <div className="flex flex-col lg:flex-row container mx-auto">
        <Main initialData={initialData} params={params} />
        <div className="py-6 px-4 ">
          <CarListingCard initialData={initialData} />
        </div>
      </div>
    </>
  );
}
